USERNETCTL(8)

NOM
usernetctl - permet à un utilisateur de manipuler une interface réseau

SYNOPSIS
usernetctl nom-interface up|down|report

DESCRIPTION
usernetctl vérifie si les utilisateurs sont autorisés à manipuler l'interface réseau spécifiée par nom-interface, puis essaye d'activer (up) ou désactiver (down) l'interface réseau, selon que "up" ou "down" ait été indiqué sur la ligne de commande, ou renvoie vrai ou faux (respectivement) si l'option "report" a été spécifiée. usernetctl n'est pas vraiment fait pour être appelé directement par les utilisateurs, bien qu'il fonctionne bien comme cela. Il sert simplement aux scripts ifup et ifdown pour que les utilisateurs puissent taper exactement les mêmes commandes que le super-utilisateur :
ifup nom-interface
ifdown nom-interface
et ifup et ifdown seront appelés par usernetctl automatiquement pour permettre le changement de statut de l'interface.

OPTIONS

nom-interface
    Le nom de l'interface réseau à vérifier; par exemple, "ppp0". Pour la compatibilité ascendante, "ifcfg-ppp0" et "/etc/sysconfig/network-scripts/ifcfg-ppp0" fonctionnent aussi.

up|down
    Tente de démarrer ou d'arrêter l'interface, respectivement.

report
    Indique si les utilisateurs peuvent ou non démarrer/stopper l'interface.

FICHIERS
/etc/sysconfig/network-scripts/ifcfg-*

NOTES
Les configurations d'autres interfaces peuvent hériter des permissions de la configuration par défaut.